@echo off
title Module d'installation et de mise  jour de VLC Media Player
color F0
cls
@echo ͻ
@echo  Module d'installation et de mise  jour de VLC Media Player 
@echo ͼ
echo Chargement...
set version=inconnue
set dateversion=date inconnue
call version.bat>NUL 2>&1
set vlcpathcustom=0
call customPath.bat>NUL 2>&1
set choixdownload=0
set choixinstall=0
set choixretry=0
set vlcversion=inconnue
set vlclastversion=2.2.5.1
set architecture=32
reg Query "HKLM\Hardware\Description\System\CentralProcessor\0" | find /i "x86" > NUL && set architecture=32 || set architecture=64
del /s updaterVLC.txt >NUL 2>&1
if not exist "wget.exe" (
goto errorwget
)
wget.exe "http://www.eliastiksofts.com/video-youtube-downloader/updaterVLC.txt" -q -c
if exist "updaterVLC.txt" (
set /p vlclastversion=<updaterVLC.txt
)

if not exist "sigcheck.exe" (
goto debut
) else if exist "%programfiles%\VideoLAN\VLC\vlc.exe" (
set architecture=64
for /f "tokens=*" %%i in ('sigcheck.exe -q -n -nobanner -accepteula "%programfiles%\VideoLAN\VLC\vlc.exe"') do set vlcversion=%%i
) else if exist "%programfiles(x86)%\VideoLAN\VLC\vlc.exe" (
set architecture=32
for /f "tokens=*" %%i in ('sigcheck.exe -q -n -nobanner -accepteula "%programfiles(x86)%\VideoLAN\VLC\vlc.exe"') do set vlcversion=%%i
) else if exist "%vlcpathcustom%vlc.exe" (
for /f "tokens=*" %%i in ('sigcheck.exe -q -n -nobanner -accepteula "%vlcpathcustom%vlc.exe"') do set vlcversion=%%i
) else (
set vlcversion=non install
)
:debut
cls
@echo ͻ
@echo  Module d'installation et de mise  jour de VLC Media Player 
@echo ͼ
echo Cet utilitaire permet le tlchargement, l'installation et la mise  jour automatique de VLC Media Player.
echo Utilitaire par Eliastik (eliastiksofts.com), sous licence GNU GPLv3.
echo * Version actuelle : %version% (%dateversion%). Obtenez les dernires mises  jour sur eliastiksofts.com/video-youtube-downloader
echo.
echo * Votre architecture : %architecture% bits.
echo * Votre version de VLC : %vlcversion%.
echo * Dernire version de VLC : %vlclastversion%.
if exist "%programfiles%\VideoLAN\VLC\vlc.exe" (
goto ok
) else if exist "%programfiles(x86)%\VideoLAN\VLC\vlc.exe" (
goto ok
) else if exist "%vlcpathcustom%vlc.exe" (
goto custompath
)
echo.
echo Appuyez sur n'importe quelle touche pour commencer le tlchargement et l'installation...
pause>nul
:startc
if not exist "wget.exe" (
goto errorwget
)
echo.
echo Tlchargement de l'installateur de VLC Media Player...
echo.
del /s vlc-%vlclastversion%-win%architecture%.exe >NUL 2>&1
wget.exe "http://get.videolan.org/vlc/%vlclastversion%/win%architecture%/vlc-%vlclastversion%-win%architecture%.exe" -q --show-progress -c
:vlcinstall
if exist "vlc-%vlclastversion%-win%architecture%.exe" (
echo.
echo Installation de VLC Media Player...
echo.
start /wait vlc-%vlclastversion%-win%architecture%.exe /S
) else (goto error)
if exist "%programfiles%\VideoLAN\VLC\vlc.exe" (
goto startyd
) else if exist "%programfiles(x86)%\VideoLAN\VLC\vlc.exe" (
goto startyd
) else if exist "%vlcpathcustom%vlc.exe" (
goto startyd
)
goto errorinstall
exit
:error
set choixdownload=0
echo Une erreur est survenue lors du lancement de l'installation de VLC Media Player. Peut-tre que l'installateur n'a pas t tlcharg correctement.
set /p choixdownload=Voulez-vous ressayer le tlchargement (o/n) ? 
if /I "%choixdownload%"=="o" (start VLCInstaller.bat)
if /I "%choixdownload%"=="oui" (start VLCInstaller.bat)
if /I "%choixdownload%"=="y" (start VLCInstaller.bat)
if /I "%choixdownload%"=="yes" (start VLCInstaller.bat)
exit
:errorinstall
set choixinstall=0
echo.
echo VLC Media Player semble ne pas avoir t install correctement.
set /p choixinstall=Voulez-vous relancer l'installateur (o/n) ? 
if /I "%choixinstall%"=="o" (goto vlcinstall)
if /I "%choixinstall%"=="oui" (goto vlcinstall)
if /I "%choixinstall%"=="y" (goto vlcinstall)
if /I "%choixinstall%"=="yes" (goto vlcinstall)
exit
:startyd
echo.
echo Lancement de Youtube and Web Video Downloader...
start youtubeVideoDownloader.bat
exit
:ok
set choixretry=0
echo.
if "%vlcversion%" NEQ "%vlclastversion%" (goto update) else (goto uptodate)
:update
set choixretry=0
echo Une mise  jour de VLC Media Player est disponible. Il est conseill d'effectuer cette mise  jour afin d'amliorer la compatibilit de Youtube and Web Video Downloader.
set /p choixretry=Mettre  jour VLC Media Player (o/n) ? 
if /I "%choixretry%"=="o" (goto startc)
if /I "%choixretry%"=="oui" (goto startc)
if /I "%choixretry%"=="y" (goto startc)
if /I "%choixretry%"=="yes" (goto startc)
goto startyd
:uptodate
set choixretry=0
echo VLC Media Player est dj install, et aucune mise  jour n'est disponible. Il est inutile de le tlcharger et de l'installer  nouveau.
set /p choixretry=Continuer quand mme (o/n) ? 
if /I "%choixretry%"=="o" (goto startc)
if /I "%choixretry%"=="oui" (goto startc)
if /I "%choixretry%"=="y" (goto startc)
if /I "%choixretry%"=="yes" (goto startc)
goto startyd
:custompath
echo.
if "%vlcversion%" NEQ "%vlclastversion%" (
echo Une mise  jour de VLC Media Player est disponible, mais vous avez spcifi un chemin d'installation personnalis. Cet utilitaire ne peut donc pas mettre  jour de manire automatique VLC Media Player.
echo Appuyez sur n'importe quelle touche pour quitter cet utilitaire...
pause>nul
goto startyd
) else (
echo VLC Media Player est dj install, et aucune mise  jour n'est disponible. Il est inutile de le tlcharger et de l'installer  nouveau.
echo Appuyez sur n'importe quelle touche pour quitter cet utilitaire...
pause>nul
goto startyd
)
goto startyd
:errorwget
echo.
echo Le fichier wget.exe est manquant. Il doit tre prsent dans le mme rpertoire que cet utilitaire pour qu'il puisse fonctionner correctement.
echo Re-tlchargez ce programme afin de rsoudre ce problme.
echo.
echo Appuyez sur n'importe quelle touche pour quitter cet utilitaire...
pause>nul
exit